symbol-bootstrap実行時はdocker-compose(ハイフン付き)が必要

ブロックチェーン

docker-compose コマンドですが、以前は単体コマンドだったのですが、最近ではVersion2になりDocker CLI Pluginとして提供していて、コマンドも docker compose up などと、ハイフンなしで使われます。

しかし symbol-bootstrap は、docker-composeコマンドを使うので、このハイフン有りの方が使えない環境だと、動きません。

なので、下記公式サイト
https://docs.docker.com/compose/install/other/
にて、スタンドアロン版をインストールして、docker-composeコマンドが使えるようにしましょう。

タイトルとURLをコピーしました